Aplicaciones/MatriculasSEDP/urls.py
from django.contrib import admin
from django.urls import path, include
from . import views
app_name = 'hospitales'
urlpatterns = [
    path('', views.listadoCarreras),
    path('guardarCarrera/', views.guardarCarrera),
    path('eliminarCarrera/<id_carrera>/', views.eliminarCarrera),
    path('editarCarrera/<id_carrera>/', views.editarCarrera),
    path('procesarActualizacionCarrera/', views.procesarActualizacionCarrera),
    path('listadoCursos/', views.listadoCursos),
    path('guardarCurso/', views.guardarCurso),
    path('eliminarCurso/<idCursoSEDP>/', views.eliminarCurso),
    path('editarCurso/<idCursoSEDP>/', views.editarCurso),
    path('procesarActualizacionCurso/', views.procesarActualizacionCurso),
    path('listadoAsignaturas/', views.listadoAsignaturas, name='listado_asignaturas'),
    path('guardarAsignatura/', views.guardarAsignatura, name='guardar_asignatura'),
    path('eliminarAsignatura/<idAsignaturaSEDP>/', views.eliminarAsignatura, name='eliminar_asignatura'),
    path('editarAsignatura/<idAsignaturaSEDP>/', views.editarAsignatura, name='editar_asignatura'),
    path('procesarActualizacionAsignatura/', views.procesarActualizacionAsignatura, name='procesar_actualizacion_asignatura'),
    path('vista1/', views.vista1, name='vista1'),  # Use 'name' to set the namespace
    path('enviar_correo/', views.enviar_correo, name='enviar_correo'),  # Use 'name' to set the namespace



]

UniversidadSEDP/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static
from django.core.mail import send_mail
from django.http import HttpResponseRedirect

urlpatterns = [
    path('admin/', admin.site.urls),
    path('',include('Aplicaciones.MatriculasSEDP.urls'))
]
if settings.DEBUG:urlpatterns+=static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

Aplicaciones/MatriculasSEDP/models.py
from django.db import models

# Create your models here.
class CarreraSEDP(models.Model):
    idCarreraSEDP = models.AutoField(primary_key=True)
    nombreCarreraSEDP = models.CharField(max_length=100)
    directorCarreraSEDP = models.CharField(max_length=100)
    logoCarreraSEDP = models.ImageField(upload_to='carrera_logos')
    perfilEgresoCarrera = models.TextField()
    duracionCarrera = models.IntegerField()
    def __str__(self):
        return self.nombreCarreraSEDP

class CursoSEDP(models.Model):
    idCursoSEDP = models.AutoField(primary_key=True)
    nivelCursoSEDP = models.CharField(max_length=50)
    descripcionCursoSEDP = models.TextField()
    aulaCursoSEDP = models.CharField(max_length=50)
    modalidadCursoSEDP = models.CharField(max_length=50)
    promedioCursoSEDP = models.DecimalField(max_digits=5, decimal_places=2)
    carreraSEDP = models.ForeignKey(CarreraSEDP, on_delete=models.PROTECT, null=True, blank=True)

    def __str__(self):
        return self.descripcionCursoSEDP

class AsignaturaSEDP(models.Model):
    idAsignaturaSEDP = models.AutoField(primary_key=True)
    nombreAsignaturaSEDP = models.CharField(max_length=100)
    creditoAsignaturaSEDP = models.IntegerField()
    fechaInicioAsignaturaSEDP = models.DateField()
    fechaFinalizacionAsignaturaSEDP = models.DateField()
    profesorAsignaturaSEDP = models.CharField(max_length=100)
    silaboAsignaturaSEDP = models.FileField(upload_to='silabos')
    horarioAsignaturaSEDP = models.CharField(max_length=100)
    horasTotalAsignaturaSEDP = models.IntegerField()
    cursoSEDP = models.ForeignKey(CursoSEDP, on_delete=models.PROTECT, null=True, blank=True)

    def __str__(self):
        return self.nombreAsignaturaSEDP

Aplicaciones/MatriculasSEDP/views.py
from django.shortcuts import render, redirect
from django.core.files.storage import default_storage
from django.conf import settings
from django.contrib import messages
from .models import CarreraSEDP
from .models import CursoSEDP
from .models import AsignaturaSEDP
from django.core.mail import send_mail
from django.http import HttpResponseRedirect
# Create your views here.
def listadoCarreras(request):
    carrerasBdd = CarreraSEDP.objects.all()
    return render(request, 'listadoCarreras.html', {'carreras': carrerasBdd})

def guardarCarrera(request):
    if request.method == 'POST':
        nombre_carrera = request.POST.get("nombre_carrera")
        director_carrera = request.POST.get("director_carrera")
        perfil_egreso = request.POST.get("perfil_egreso")
        duracion_carrera = request.POST.get("duracion_carrera")

        logo_carrera = request.FILES.get("logo_carrera")

        carrera = CarreraSEDP.objects.create(
            nombreCarreraSEDP=nombre_carrera,
            directorCarreraSEDP=director_carrera,
            perfilEgresoCarrera=perfil_egreso,
            duracionCarrera=duracion_carrera,
            logoCarreraSEDP=logo_carrera
        )

        messages.success(request, 'CARRERA GUARDADA EXITOSAMENTE')
        return redirect('/')

def eliminarCarrera(request, id_carrera):
    try:
        carrera_eliminar = CarreraSEDP.objects.get(idCarreraSEDP=id_carrera)
        carrera_eliminar.delete()
        messages.success(request, 'CARRERA ELIMINADA EXITOSAMENTE')
    except CarreraSEDP.DoesNotExist:
        messages.error(request, 'La carrera no existe')

    return redirect('/')

def editarCarrera(request, id_carrera):
    try:
        carrera_editar = CarreraSEDP.objects.get(idCarreraSEDP=id_carrera)
        carreras_bdd = CarreraSEDP.objects.all()
        return render(request, 'editarCarrera.html', {'carrera': carrera_editar, 'carreras': carreras_bdd})
    except CarreraSEDP.DoesNotExist:
        messages.error(request, 'La carrera no existe')
        return redirect('/')

def procesarActualizacionCarrera(request):
    if request.method == 'POST':
        id_carrera = request.POST.get("id_carrera")
        nombre_carrera = request.POST.get("nombre_carrera")
        director_carrera = request.POST.get("director_carrera")
        perfil_egreso = request.POST.get("perfil_egreso")
        duracion_carrera = request.POST.get("duracion_carrera")

        logo_carrera = request.FILES.get('logo_carrera')

        try:
            carrera_editar = CarreraSEDP.objects.get(idCarreraSEDP=id_carrera)

            if logo_carrera is not None:
                carrera_editar.logoCarreraSEDP = logo_carrera

            carrera_editar.nombreCarreraSEDP = nombre_carrera
            carrera_editar.directorCarreraSEDP = director_carrera
            carrera_editar.perfilEgresoCarrera = perfil_egreso
            carrera_editar.duracionCarrera = duracion_carrera
            carrera_editar.save()

            messages.success(request, 'CARRERA ACTUALIZADA EXITOSAMENTE')
        except CarreraSEDP.DoesNotExist:
            messages.error(request, 'La carrera no existe')

    return redirect('/')

def listadoCursos(request):
    cursosBdd = CursoSEDP.objects.all()
    carrerasBdd = CarreraSEDP.objects.all()
    return render(request, 'listadoCursos.html', {'cursos': cursosBdd, 'carreras': carrerasBdd})


def eliminarCurso(request, idCursoSEDP):
    cursoEliminar = CursoSEDP.objects.get(idCursoSEDP=idCursoSEDP)
    cursoEliminar.delete()
    messages.success(request, 'CURSO ELIMINADO EXITOSAMENTE')
    return redirect('/listadoCursos/')


def guardarCurso(request):
    nivelCursoSEDP = request.POST["nivelCursoSEDP"]
    descripcionCursoSEDP = request.POST["descripcionCursoSEDP"]
    aulaCursoSEDP = request.POST["aulaCursoSEDP"]
    modalidadCursoSEDP = request.POST["modalidadCursoSEDP"]
    promedioCursoSEDP = request.POST["promedioCursoSEDP"]
    carreraSEDP_id = request.POST["carreraSEDP"]

    # Insertando datos mediante el ORM de Django
    curso = CursoSEDP.objects.create(
        nivelCursoSEDP=nivelCursoSEDP,
        descripcionCursoSEDP=descripcionCursoSEDP,
        aulaCursoSEDP=aulaCursoSEDP,
        modalidadCursoSEDP=modalidadCursoSEDP,
        promedioCursoSEDP=promedioCursoSEDP,
        carreraSEDP_id=carreraSEDP_id,
    )

    messages.success(request, 'CURSO GUARDADO EXITOSAMENTE')
    return redirect('/listadoCursos/')


def editarCurso(request, idCursoSEDP):
    carrerasBdd = CarreraSEDP.objects.all()
    cursoEditar = CursoSEDP.objects.get(idCursoSEDP=idCursoSEDP)
    return render(request, 'editarCurso.html', {'curso': cursoEditar, 'carreras': carrerasBdd})


def procesarActualizacionCurso(request):
    # Obtener los datos del formulario
    idCursoSEDP = request.POST["idCursoSEDP"]
    nivelCursoSEDP = request.POST["nivelCursoSEDP"]
    descripcionCursoSEDP = request.POST["descripcionCursoSEDP"]
    aulaCursoSEDP = request.POST["aulaCursoSEDP"]
    modalidadCursoSEDP = request.POST["modalidadCursoSEDP"]
    promedioCursoSEDP = request.POST["promedioCursoSEDP"]
    carreraSEDP_id = request.POST["carreraSEDP"]

    # Actualizar el curso con los nuevos datos
    cursoEditar = CursoSEDP.objects.get(idCursoSEDP=idCursoSEDP)
    cursoEditar.nivelCursoSEDP = nivelCursoSEDP
    cursoEditar.descripcionCursoSEDP = descripcionCursoSEDP
    cursoEditar.aulaCursoSEDP = aulaCursoSEDP
    cursoEditar.modalidadCursoSEDP = modalidadCursoSEDP
    cursoEditar.promedioCursoSEDP = promedioCursoSEDP
    cursoEditar.carreraSEDP_id = carreraSEDP_id

    cursoEditar.save()

    messages.success(request, 'CURSO ACTUALIZADO EXITOSAMENTE')
    return redirect('/listadoCursos/')

def listadoAsignaturas(request):
    cursosBdd = CursoSEDP.objects.all()
    asignaturas = AsignaturaSEDP.objects.all()
    return render(request, 'listadoAsignaturas.html', {'asignaturas': asignaturas, 'cursos': cursosBdd})

def eliminarAsignatura(request, idAsignaturaSEDP):
    asignatura_eliminar = AsignaturaSEDP.objects.get(idAsignaturaSEDP=idAsignaturaSEDP)
    asignatura_eliminar.delete()
    messages.success(request, 'Asignatura eliminada exitosamente')
    return redirect('/listadoAsignaturas/')

def guardarAsignatura(request):
    if request.method == 'POST':
        # Retrieve data from the form
        nombre = request.POST['nombre']
        credito = request.POST['credito']
        fecha_inicio = request.POST['fecha_inicio']
        fecha_finalizacion = request.POST['fecha_finalizacion']
        profesor = request.POST['profesor']
        horario = request.POST['horario']
        horas_total = request.POST['horas_total']
        curso_id = request.POST['curso_id']

        # Handling file upload
        silabo = request.FILES.get('silabo')



        # Create new AsignaturaSEDP object
        asignatura = AsignaturaSEDP.objects.create(
            nombreAsignaturaSEDP=nombre,
            creditoAsignaturaSEDP=credito,
            fechaInicioAsignaturaSEDP=fecha_inicio,
            fechaFinalizacionAsignaturaSEDP=fecha_finalizacion,
            profesorAsignaturaSEDP=profesor,
            silaboAsignaturaSEDP=silabo,
            horarioAsignaturaSEDP=horario,
            horasTotalAsignaturaSEDP=horas_total,
            cursoSEDP_id=curso_id
        )

        messages.success(request, 'Asignatura guardada exitosamente')
        return redirect('/listadoAsignaturas/')
    else:
        # Handle GET request (if applicable)
        pass

def editarAsignatura(request, idAsignaturaSEDP):
    cursosBdd = CursoSEDP.objects.all()
    asignatura_editar = AsignaturaSEDP.objects.get(idAsignaturaSEDP=idAsignaturaSEDP)
    return render(request, 'editarAsignatura.html', {'asignatura': asignatura_editar, 'cursos': cursosBdd})

def procesarActualizacionAsignatura(request):
    if request.method == 'POST':
        # Retrieve data from the form
        id_asignatura = request.POST['id_asignatura']
        nombre = request.POST['nombre']
        credito = request.POST['credito']
        fecha_inicio = request.POST['fecha_inicio']
        fecha_finalizacion = request.POST['fecha_finalizacion']
        profesor = request.POST['profesor']
        horario = request.POST['horario']
        horas_total = request.POST['horas_total']
        curso_id = request.POST['curso_id']

        # Handling file upload
        if 'silabo' in request.FILES:
            silabo = request.FILES['silabo']
            # Save the file to the filesystem and update the path in the model
            # You can follow a similar approach to the one used in your original code

        # Update existing AsignaturaSEDP object
        asignatura_editar = AsignaturaSEDP.objects.get(idAsignaturaSEDP=id_asignatura)
        asignatura_editar.nombreAsignaturaSEDP = nombre
        asignatura_editar.creditoAsignaturaSEDP = credito
        asignatura_editar.fechaInicioAsignaturaSEDP = fecha_inicio
        asignatura_editar.fechaFinalizacionAsignaturaSEDP = fecha_finalizacion
        asignatura_editar.profesorAsignaturaSEDP = profesor
        asignatura_editar.horarioAsignaturaSEDP = horario
        asignatura_editar.horasTotalAsignaturaSEDP = horas_total
        asignatura_editar.cursoSEDP_id = curso_id

        asignatura_editar.save()

        messages.success(request, 'Asignatura actualizada exitosamente')
        return redirect('/listadoAsignaturas/')
    else:
        # Handle GET request (if applicable)
        pass

def vista1(request):
    return render(request, 'enviar_correo.html')

def enviar_correo(request):
    if request.method == 'POST':
        destinatario = request.POST.get('destinatario')
        asunto = request.POST.get('asunto')
        cuerpo = request.POST.get('cuerpo')

        send_mail(asunto, cuerpo, settings.EMAIL_HOST_USER, [destinatario], fail_silently=False)
        messages.success(request, 'Se ha enviado tu correo')
        return HttpResponseRedirect('/vista1')

    return render(request, 'enviar_correo.html')

Aplicaciones/MatriculasSEDP/templates/editarAsignatura.html
{% extends "plantilla.html" %}
{% load static %}

{% block contenido %}
<div class="row">
  <div class="col-md-2">
  </div>
  <div class="col-md-8">
    <br> <br>
    <form class="" action="{% url 'procesar_actualizacion_asignatura' %}" method="post" enctype="multipart/form-data">
      {% csrf_token %}
      <b>SELECCIONE EL CURSO:</b>
      <select class="form-control" name="curso_id" required>

          {% for curso in cursos %}
          <option value="{{ curso.idCursoSEDP }}">{{ curso.nivelCursoSEDP }}</option>
          {% endfor %}
      </select>
      <input type="hidden" name="id_asignatura" id="id_asignatura" value="{{ asignatura.idAsignaturaSEDP }}">
      <br>
      <b>NOMBRE</b>
      <input type="text" name="nombre" id="nombre"
      value="{{ asignatura.nombreAsignaturaSEDP }}" placeholder="Ingrese el nombre"
      class="form-control" required>
      <br>
      <b>CREDITO</b>
      <input type="number" name="credito" id="credito"
      value="{{ asignatura.creditoAsignaturaSEDP }}" placeholder="Ingrese los créditos"
      class="form-control" required>
      <br>
      <b>FECHA INICIO</b>
      <input type="date" name="fecha_inicio" id="fecha_inicio"
      value="{{ asignatura.fechaInicioAsignaturaSEDP|date:'Y-m-d' }}"
      class="form-control" required>
      <br>
      <b>FECHA FINALIZACIÓN</b>
      <input type="date" name="fecha_finalizacion" id="fecha_finalizacion"
      value="{{ asignatura.fechaFinalizacionAsignaturaSEDP|date:'Y-m-d' }}"
      class="form-control" required>
      <br>
      <b>PROFESOR</b>
      <input type="text" name="profesor" id="profesor"
      value="{{ asignatura.profesorAsignaturaSEDP }}" placeholder="Ingrese el nombre del profesor"
      class="form-control" required>
      <br>
      <b>SILABO</b>
      <br>
      {% if asignatura.silaboAsignaturaSEDP %}
      <a href="{{ asignatura.silaboAsignaturaSEDP.url }}" target="_blank">Descargar Documento Actual</a>
      <br>
      {% endif %}
      <input type="file" name="silabo" id="silabo" accept=".pdf">
      <br>
      <small>Seleccione otro documento si desea cambiarlo.</small>
      <br><br>
      <b>HORARIO</b>
      <input type="text" name="horario" id="horario"
      value="{{ asignatura.horarioAsignaturaSEDP }}" placeholder="Ingrese el horario"
      class="form-control" required>
      <br>
      <b>HORAS TOTAL</b>
      <input type="number" name="horas_total" id="horas_total"
      value="{{ asignatura.horasTotalAsignaturaSEDP }}" placeholder="Ingrese las horas totales"
      class="form-control" required>
      <script>
        $(document).ready(function () {
            $("#silabo").fileinput({
              //showUpload:false
              //showRemove: false,
              language:'es',
            });
        });
      </script>

      <br>
      <center>
        <button type="submit" name="button"
        class="btn btn-warning">
          &nbsp;&nbsp;&nbsp;Editar&nbsp;&nbsp;&nbsp;
        </button>&nbsp;&nbsp;&nbsp;&nbsp;
        <a href="{% url 'listado_asignaturas' %}"
        class="btn btn-danger">
          Cancelar
        </a>
      </center>
    </form>
  </div>
</div>

<script type="text/javascript">
    $("#frm_nueva_asignatura").validate({
        rules: {
            "curso_id": {
                required: true
            },
            "nombre": {
                required: true
            },
            "credito": {
                required: true,
                number: true,
                min: 1 // Validación para asegurarse de que los créditos sean al menos 1
            },
            "fecha_inicio": {
                required: true,
                date: true, // Validación para asegurarse de que la fecha de inicio sea una fecha válida
                minDate: new Date() // Validación para asegurarse de que la fecha de inicio sea igual o posterior a la fecha actual
            },
            "fecha_finalizacion": {
                required: true,
                date: true,
                greaterThanStartDate: "#fecha_inicio" // Validación para asegurarse de que la fecha de finalización sea posterior a la fecha de inicio
            },
            "profesor": {
                required: true
            },
            "silabo": {
                required: true,
                accept: "application/pdf" // Validación para asegurarse de que el archivo seleccionado sea un PDF
            },
            "horario": {
                required: true
            },
            "horas_total": {
                required: true,
                number: true,
                min: 1
            }
        },
        messages: {
            "curso_id": {
                required: "Por favor seleccione el curso"
            },
            "nombre": {
                required: "Debe ingresar el nombre de la asignatura"
            },
            "credito": {
                required: "Debe ingresar los créditos de la asignatura",
                number: "Ingrese un valor numérico",
                min: "Los créditos deben ser al menos 1"
            },
            "fecha_inicio": {
                required: "Debe ingresar la fecha de inicio de la asignatura",
                date: "Ingrese una fecha válida",
                minDate: "La fecha de inicio debe ser igual o posterior a la fecha actual"
            },
            "fecha_finalizacion": {
                required: "Debe ingresar la fecha de finalización de la asignatura",
                date: "Ingrese una fecha válida",
                greaterThanStartDate: "La fecha de finalización debe ser posterior a la fecha de inicio"
            },
            "profesor": {
                required: "Debe ingresar el nombre del profesor"
            },
            "silabo": {
                required: "Debe seleccionar un archivo para el sílabo",
                accept: "El archivo debe ser en formato PDF"
            },
            "horario": {
                required: "Debe ingresar el horario de la asignatura"
            },
            "horas_total": {
                required: "Debe ingresar las horas totales de la asignatura",
                number: "Ingrese un valor numérico",
                min: "Las horas totales deben ser al menos 1"
            }
        }
    });

    // Función personalizada para validar que la fecha de finalización sea posterior a la fecha de inicio
    $.validator.addMethod("greaterThanStartDate", function(value, element, params) {
        var startDate = $(params).val();
        return value > startDate;
    }, "La fecha de finalización debe ser posterior a la fecha de inicio");
</script>
{% endblock %}

Aplicaciones/MatriculasSEDP/templates/editarCarrera.html
{% extends "./plantilla.html" %}
{% load static %}

{% block contenido %}
<div class="container mt-5">
  <div class="row">
    <div class="col-md-2"></div>
    <div class="col-md-8">
      <div class="card">
        <div class="card-header bg-success text-white">
          <h2 class="mb-0">Actualizar Carrera</h2>
        </div>
        <div class="card-body">
          <form action="/procesarActualizacionCarrera/" method="post" id="frm_nueva_carrera" enctype="multipart/form-data">
            {% csrf_token %}

            <input type="hidden" name="id_carrera" value="{{ carrera.idCarreraSEDP }}">

            <div class="mb-3">
              <label for="nombre_carrera" class="form-label"><b>NOMBRE</b></label>
              <input type="text" name="nombre_carrera" id="nombre_carrera" value="{{ carrera.nombreCarreraSEDP }}" placeholder="Ingrese el nombre de la carrera" class="form-control" required>
            </div>

            <div class="mb-3">
              <label for="director_carrera" class="form-label"><b>DIRECTOR</b></label>
              <input type="text" name="director_carrera" id="director_carrera" value="{{ carrera.directorCarreraSEDP }}" placeholder="Ingrese el director" class="form-control" required>
            </div>

            <div class="mb-3">
                <label for="perfil_egreso" class="form-label"><b>PERFIL DE EGRESO</b></label>
                <select class="form-control" id="perfil_egreso" name="perfil_egreso" required>

                    <option value="Ingeniero" {% if carrera.perfilEgresoCarrera == "Ingeniero" %} selected {% endif %}>Ingeniero/Ingeniera</option>
                    <option value="Licenciado" {% if carrera.perfilEgresoCarrera == "Licenciado" %} selected {% endif %}>Licenciado/Licenciada</option>
                    <option value="Tecnólogo" {% if carrera.perfilEgresoCarrera == "Tecnólogo" %} selected {% endif %}>Tecnólogo/Tecnóloga</option>
                </select>
            </div>
            <div class="form-group">
    <label for="duracion_carrera" class="form-label"><b> NUMERO DE SEMESTRES):</b></label>
    <select class="form-control" id="duracion_carrera" name="duracion_carrera" required>

        <option value="4" {% if carrera.duracionCarrera == 4 %}selected{% endif %}>4 SEMESTRES</option>
        <option value="5" {% if carrera.duracionCarrera == 5 %}selected{% endif %}>5 SEMESTRES</option>
        <option value="6" {% if carrera.duracionCarrera == 6 %}selected{% endif %}>6 SEMESTRES</option>
        <option value="7" {% if carrera.duracionCarrera == 7 %}selected{% endif %}>7 SEMESTRES</option>
        <option value="8" {% if carrera.duracionCarrera == 8 %}selected{% endif %}>8 SEMESTRES</option>
        <option value="9" {% if carrera.duracionCarrera == 9 %}selected{% endif %}>9 SEMESTRES</option>
        <option value="10" {% if carrera.duracionCarrera == 10 %}selected{% endif %}>10 SEMESTRES</option>
    </select>
</div>



            <div class="mb-2">
              <label for="logo_carrera" class="form-label"><b>LOGO</b></label>
              <input type="file" accept="image/*" class="form-control rounded-4 m-1" name="logo_carrera" id="logo_carrera" />
              {% if carrera.logoCarreraSEDP %}
                <a href="{{ carrera.logoCarreraSEDP.url }}" target="_blank">
                  <img src="{{ carrera.logoCarreraSEDP.url }}" alt="" width="100" height="50"></a>
              {% endif %}
            </div>
            <script>
              $(document).ready(function () {
                  $("#logo_carrera").fileinput({
                    //showUpload:false
                    //showRemove: false,
                    language:'es',
                  });
              });
            </script>

            <div class="text-center">
              <button type="submit" class="btn btn-success">Actualizar</button>
              <a href="/" class="btn btn-danger">Cancelar</a>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
{% endblock %}

Aplicaciones/MatriculasSEDP/templates/enviar_correo.html
{% extends "./plantilla.html" %}
{% load static %}

{% block contenido %}
  {% block contenido_ajax %}
    <!DOCTYPE html>
    <html lang="en" dir="ltr">
      <head>
        <meta charset="utf-8">
        <title>Enviar Correo</title>
      </head>
      <body>
        <div class="container">
          <div class="row justify-content-center mt-5">
            <div class="col-md-6">
              <center><h2>Enviar correo</h2></center>

              <form method="post" action="{% url 'hospitales:enviar_correo' %}" id="frm_nuevo_correo">
                {% csrf_token %}
                <label for="destinatario">Destinatario :</label><br>
                <input class="form-control" id="destinatario" type="email" name="destinatario" placeholder="Ingrese correo destinatario" required><br>
                <label for="asunto">Telefono :</label><br>
                <input class="form-control" id="asunto" type="text" name="asunto" placeholder="Ingrese su numero de Telefono" required><br>
                <label for="cuerpo">Mensaje :</label><br>
                <textarea class="form-control" id="cuerpo" name="cuerpo" placeholder="Ingrese un mensaje" required></textarea> <br>

                <div style="text-align: center;">
                  <input class="btn btn-primary" type="submit" value="Enviar correo">
                </div>
              </form>

              {% if messages %}
                {% for message in messages %}
                  <div class="alert alert-success mt-3" role="alert">
                    {{ message }}
                  </div>
                {% endfor %}
              {% endif %}
            </div>
          </div>
        </div>
      </body>
    </html>



  <script type="text/javascript">
    $(document).ready(function() {
        $("#frm_nuevo_correo").validate({
            rules: {
                "destinatario": {
                    required: true
                },
                "asunto": {
                    required: true
                },
                "cuerpo": {
                    required: true,
                }
            },
            messages: {
                "destinatario": {
                    required: "POR FAVOR INGRESE EL DESTINATARIO"
                },
                "asunto": {
                    required: "DEBE INGRESAR EL TELEFONO"
                },
                "cuerpo": {
                    required: "DEBE INGRESAR EL MENSAJE",
                }
            }
        });
    });
</script>

  {% endblock %}
  {% block scripts %}
    {{ block.super }}
  {% endblock %}
{% endblock %}